Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.servlets.jsp.taglib
Class AdTargetTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.ad.servlets.jsp.taglib.AdTargetTag

public class AdTargetTag
extends javax.servlet.jsp.tagext.TagSupport

Tag class to implement a AdTarget on a page.

This expects the AdService to use to be found at "java:comp/env/AdService".

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`AdTargetTag()`

Method Summary
`int` | `doStartTag()` Return the content for the named placeholder to the JSP page.
`void` | `release()` Release any resources or variables.
`void` | `setHeight(int height)` Set the height property.
`void` | `setQuery(java.lang.String query)` Set the query property.
`void` | `setWidth(int width)` Set the width property

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdTargetTag

    public AdTargetTag()

Method Detail

### setQuery

    public void setQuery(java.lang.String query)

  Set the query property.

  Parameters:
    `query` - String name of the placeholder

### setHeight

    public void setHeight(int height)

  Set the height property.

  Parameters:
    `height` - integer height of the placeholder

### setWidth

    public void setWidth(int width)

  Set the width property

  Parameters:
    `width` - integer width of the placeholder

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Return the content for the named placeholder to the JSP page.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Release any resources or variables.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved